package cn.org.spring.wechar.service.message;

import cn.org.spring.wechar.bean.message.TextMessage;
import cn.org.spring.wechar.config.WeCharConfig;
import cn.org.spring.wechar.config.BasicInfo;
import cn.org.spring.wechar.constant.WeCharConstant;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service
@Slf4j
public class TextMessageService implements IMessage {

    private final WeCharConfig weCharConfig;
    private final BasicInfo basicInfo;

    /**
     * 从spring容器中自动注入
     *
     * @param weCharConfig
     * @param basicInfo
     */
    public TextMessageService(WeCharConfig weCharConfig, BasicInfo basicInfo) {
        this.weCharConfig = weCharConfig;
        this.basicInfo = basicInfo;
    }


    @Override
    public String handler(Map<String, Object> stringObjectMap) {
        String content = "你好!";
        if (stringObjectMap.get(WeCharConstant.CONTENT).toString().equals("登录")) {
            content = WeCharConstant.OAUTH2_AUTHORIZE.replace("APPID", weCharConfig.getAppId())
                    .replace("REDIRECT_URI", basicInfo.getUrlPrefix() + "/v1/weChar/getCode").replace("SCOPE", "snsapi_userinfo");
            System.out.println(content);
            content = "您好，请点击<a href='" + content + "'>登录</a>进行更多的操作。";
        }
        TextMessage textMessage = TextMessage.ofSendMsg(stringObjectMap, content);
        return textMessage.toXml();
    }

}